IF NOT EXISTS (SELECT NAME FROM SYSINDEXES  WITH (NOLOCK) 
               WHERE Name = 'DoesReservationGroupMatchParentRoom')
BEGIN
  CREATE NONCLUSTERED INDEX [DoesReservationGroupMatchParentRoom]
    ON [dbo].[RESERVATIONROOMLINE] ([RoomNumber])
    INCLUDE ([LINENUMBER],[ArrivalDate],[ArrivalTime],[DepartureDate],[DepartureTime],[FK_ReservationGroup])
END
